| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Overview
Use this method to mark an uploaded image of a document as inactive. In effect, you make the image as if deleted from the applicant profile, but it is just not taken into account for verification.
Replacements for inactive images can then be requested anew in the WebSDK or Mobile SDK.
Required permissions
To use the method, you must have a role with the Change applicant’s personal data permission.
Use caseUse this method in scenarios where you want your applicants to re-upload documents approved previously in the SDK.
NoteMaking images inactive while the applicant is being processed (in the
pending,prechecked, orqueuedreview status) will result in error and the304HTTP status.
Request example
curl -X DELETE \
'https://api.sumsub.com/resources/applicants/5f649369aee05c75ea54c80a/resources/1045510331' \
-H 'X-App-Token: <your-app-token>' \
-H 'X-App-Access-Sig: <your-signature>' \
-H 'X-App-Access-Ts: <unix-timestamp>'Response explained
If the request is successfully sent and processed, you will get the following response:
{
"ok": 1
}If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error.
For example:
{
"description": "HTTP 404 Not Found",
"code": 404,
"correlationId": "b628a7fbdf4fa487b26406e79e76f3f7"
}
- If you specify a non-existing
imageId, nothing will be modified.- In case of HTTP response
200, you may ignore the response body.